﻿using System;
using System.Collections.Generic;

namespace EsempioStrategy
{
    public class Paragraph
    {
        private string _text;
        private IAligner _aligner;

        public string Text
        {
            get
            {
                if (_text == null)
                    _text = String.Empty;
                return _text;
            }
            set { _text = value; }
        }

        public IAligner Aligner
        {
            get
            {
                if (_aligner == null)
                    _aligner = AlignerFactory.GetAligner("Left");
                return _aligner;
            }
            set { _aligner = value; }
        }

        public string Format(int width)
        {
            return Aligner.Format(Text, width);
        }
    }
}
