﻿using System;
using System.Collections.Generic;

namespace EsempioStrategy
{
    class Program
    {
        static void Main(string[] args)
        {
            Paragraph paragraph = new Paragraph();
            paragraph.Text =
                "The important lesson we have learned " +
                "is that development for reuse is complex. " +
                "If making a good design is difficult, " +
                "then making a good reusable design " +
                "is even harder, and any amount of " +
                "process description cannot substitute " +
                "for the skill, imagination, and " +
                "experience of a good designer. " +
                "A process can only support the creative work, " +
                "and ensure that things are done and " +
                "recorded properly. [Karlsson et al, REBOOT]";

            paragraph.Aligner = AlignerFactory.GetAligner("Left");
            Console.WriteLine(paragraph.Aligner);
            Console.WriteLine(paragraph.Format(75));
            Console.WriteLine();
            paragraph.Aligner = AlignerFactory.GetAligner("Right");
            Console.WriteLine(paragraph.Aligner);
            Console.WriteLine(paragraph.Format(75));
            Console.WriteLine();
            paragraph.Aligner = AlignerFactory.GetAligner("Center");
            Console.WriteLine(paragraph.Aligner);
            Console.WriteLine(paragraph.Format(75));
            Console.WriteLine();
            paragraph.Aligner = AlignerFactory.GetAligner("Justify");
            Console.WriteLine(paragraph.Aligner);
            Console.WriteLine(paragraph.Format(75));
            Console.WriteLine();
        }
    }
}
